aboutsummaryrefslogtreecommitdiff
path: root/libexec/save-entropy
diff options
context:
space:
mode:
authorSimon J. Gerraty <sjg@FreeBSD.org>2014-08-19 06:50:54 +0000
committerSimon J. Gerraty <sjg@FreeBSD.org>2014-08-19 06:50:54 +0000
commitee7b0571c2c18bdec848ed2044223cc88db29bd8 (patch)
treeb04f4bd7cd887f50e7d98af35f46b9834ff86c80 /libexec/save-entropy
parentffda191e301f128a62c152fde92b692548367fca (diff)
parent15fc2873832ea5b9b639e701bbbf2e73af8b6a88 (diff)
Notes
Diffstat (limited to 'libexec/save-entropy')
-rwxr-xr-xlibexec/save-entropy/save-entropy.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/libexec/save-entropy/save-entropy.sh b/libexec/save-entropy/save-entropy.sh
index e96b543a76b8..880a988404d7 100755
--- a/libexec/save-entropy/save-entropy.sh
+++ b/libexec/save-entropy/save-entropy.sh
@@ -42,6 +42,8 @@ elif [ -r /etc/rc.conf ]; then
. /etc/rc.conf 2>/dev/null
fi
+[ $(/sbin/sysctl -n security.jail.jailed) = 0 ] || exit 0
+
case ${entropy_dir} in
[Nn][Oo])
exit 0